Path Params
| Name | Type | Required | Description | Default |
|---|---|---|---|---|
transactionId | string | Required | ID của cuộc trò chuyện | - |
Query Params
| Name | Type | Required | Description | Default |
|---|
Headers
| Header | Required | Description | Example |
|---|---|---|---|
Authorization | Required | Bearer token xác thực | Bearer <token> |
Response
200Lấy chi tiết cuộc trò chuyện thành công
| Trường | Kiểu | Mô tả |
|---|---|---|
| data | object | Đối tượng chứa dữ liệu chi tiết. |
| data.transactionId | string | ID của giao dịch (cuộc trò chuyện) |
| data.title | string | Tiêu đề của cuộc trò chuyện |
| data.createdAt | string | Thời gian tạo (ISO 8601) |
| data.createdBy | string | Người tạo cuộc trò chuyện |
| data.botId | string | ID của bot |
| data.userId | number | ID của người dùng |
| resultCode | string | Mã kết quả |
| resultMsg | string | Thông báo kết quả |
404Không tìm thấy
| Trường | Kiểu | Mô tả |
|---|---|---|
| error | string | Thông báo lỗi không tìm thấy cuộc trò chuyện |
example.title:
{
"data": {
"transactionId": "{{transactionId}}",
"title": "Chào bạn",
"createdAt": "2025-06-23T02:00:37.200+00:00",
"createdBy": "SAMPLE_USER",
"botId": "76626115-948a-4b5c-a56e-7ad64873f57e",
"userId": 16980
},
"resultCode": "0",
"resultMsg": "Success"
}API Request
GET
https://troly.mobifone.vn/api/v1/am/chat/getChatHistoryTitlesDetail/:transactionIdTry It Out
Test Endpoint
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://troly.mobifone.vn/am/chat/getChatHistoryTitlesDetail/{{transactionId}}");
request.Headers.Add("Authorization", "Bearer {{accessToken}}");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());